<?php
function umiesc_zamowienie($szczegoly_zamowienia) {
   // wyciągnięcie szczegółów zamówienia jako zmiennych
  extract($szczegoly_zamowienia);


  // ustawienie adresu dostawy na taki sam jak adres klienta
  if((!$dos_nazwisko) && (!$dos_adres) && (!$dos_miasto) && (!$dos_wojew) && (!$dos_kod_poczt) && (!$dos_kraj)) {
    $dos_nazwisko = $nazwisko;
    $dos_adres = $adres;
    $dos_miasto = $miasto;
    $dos_wojew = $wojew;
    $dos_kod_poczt = $kod_poczt;
    $dos_kraj = $kraj;
  }

  $lacz = lacz_bd();

  // Zamówienie ma zostać zapisane w ramach transakcji
  // rozpoczynamy ją wyłączając tryb autocommit;
  $lacz->autocommit(FALSE);

  // wstawienie adresu klienta
  $zapytanie = "select idklienta from klienci where
                nazwisko = '". $lacz->real_escape_string($nazwisko) . "' 
                and adres = '". $lacz->real_escape_string($adres) . "'
                and miasto = '". $lacz->real_escape_string($miasto) . "' 
                and wojew = '". $lacz->real_escape_string($wojew) . "'
                and kod_poczt = '". $lacz->real_escape_string($kod_poczt) . "' 
                and kraj = '". $lacz->real_escape_string($kraj)."'";

  $wynik = $lacz->query($zapytanie);
  if($wynik->num_rows>0) {
    $klient = $wynik->fetch_object();
    $idklienta = $klient->idklienta;
  } else {
    $zapytanie = "insert into klienci values
                (0, '" . $lacz->real_escape_string($nazwisko) ."','" .
                  $lacz->real_escape_string($adres) .
                  "','". $lacz->real_escape_string($miasto) ."','" .
                  $lacz->real_escape_string($wojew) .
                  "','". $lacz->real_escape_string($kod_poczt) ."','" .
                  $lacz->real_escape_string($kraj)."')";

    $wynik = $lacz->query($zapytanie);
    if (!$wynik) {
      return false;
    }
  }
  $idklienta = $lacz->insert_id;

  $data = date("Y-m-d");
  $zapytanie = "insert into zamowienia values
            ('', '".$lacz->real_escape_string($idklienta)."', '".
              $lacz->real_escape_string($_SESSION['calkowita_wartosc'])."', '".
              $lacz->real_escape_string($data)."', '".CZĘŚCIOWE."', '".
              $lacz->real_escape_string($dos_nazwisko)."','".
              $lacz->real_escape_string($dos_adres)."','".
              $lacz->real_escape_string($dos_miasto)."','".
              $lacz->real_escape_string($dos_wojew)."','".
              $lacz->real_escape_string($dos_kod_poczt)."','".
              $lacz->real_escape_string($dos_kraj)."')";
  $wynik = $lacz->query($zapytanie);
  if (!$wynik) {
    return false;
  }

  $zapytanie = "select idzamowienia from zamowienia where
               idklienta = '".$lacz->real_escape_string($idklienta)."' and
               wartosc > (".(float)$_SESSION['calkowita_wartosc']."-.001) and
               wartosc < (".(float)$_SESSION['calkowita_wartosc']."+.001) and
               data = '".$lacz->real_escape_string($data)."' and
               stan_zam = 'CZĘŚCIOWE' and
               dos_nazwisko = '".$lacz->real_escape_string($dos_nazwisko)."' and
               dos_adres = '".$lacz->real_escape_string($dos_adres)."' and
               dos_miasto = '".$lacz->real_escape_string($dos_miasto)."' and
               dos_wojew = '".$lacz->real_escape_string($dos_wojew)."' and
               dos_kod_poczt = '".$lacz->real_escape_string($dos_kod_poczt)."' and
               dos_kraj = '".$lacz->real_escape_string($dos_kraj)."'";
  $wynik = $lacz->query($zapytanie);
  if($wynik->num_rows>0) {
    $zamowienie = $wynik->fetch_object();
    $idzam = $zamowienie->idzamowienia;
  } else {
    return false;
  }


  // umieszczenie wszystkich książek
  foreach($_SESSION['koszyk'] as $isbn => $ilosc) {
    $dane=pobierz_dane_ksiazki($isbn);
    $zapytanie = "delete from produkty_zamowienia where
              idzamowienia = '".$lacz->real_escape_string($idzam).
              "' and isbn =  '".$lacz->real_escape_string($isbn)."'";
    $wynik = $lacz->query($zapytanie);
    $zapytanie = "insert into produkty_zamowienia values
              ('".$lacz->real_escape_string($idzam)."', '".
                 $lacz->real_escape_string($isbn)."', ".
                 $lacz->real_escape_string($dane['cena']).", ".
                 $lacz->real_escape_string($ilosc) .")";
    $wynik = $lacz->query($zapytanie);
    if(!$wynik) {
      return false;
    }
  }

  // koniec transakcji
  $lacz->commit();
  $lacz->autocommit(TRUE);

  return $idzam;
}


// sprawdzenie prawidłowości danych karty kredytowej
function przetworz_karte( $dane ) {
  return TRUE;
}

?>